std::atomic< long long > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< long long >.

## Public Types

typedef __atomic_base< long long > | __base_type
typedef long long | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Detailed Description

Explicit specialization for long long.

Definition at line 919 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<long long> std::atomic< long long >::__base_type

Definition at line 922 of file atomic.

## __integral_type

typedef long long std::atomic< long long >::__integral_type

Definition at line 921 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< long long >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 930 of file atomic.

The documentation for this struct was generated from the following file:

- atomic